## Name

gifcolor — generate color test-pattern GIFs

## Synopsis

`gifcolor` [-v] [-b `background`] [-h] [`colormap-file`]

## Description

A program to generate color test patterns. Feed it a color map file (as generated, say, by the -s option of gifclrmp) and it will generate a GIF containing lines of the form.

    Color %-3d: [%-3d, %-3d, %-3d]:

where the first number is the zero-based color index, and the triple is the index's [Red, Green, Blue] value. There will be one such line for each color. Each line will be set in a simple 8x8 font in the color it describes; thus, any lines corresponding to the GIF's background color will be blank.

## Options

-v

  Verbose mode (show progress). Enables printout of running scan lines.

-b

  Set the image's backround color to a given numeric index.

-h

  Print one line of command line help, similar to Usage above.

If no colormap file is specified, the color map will be read from stdin.

## Author

Gershon Elber.